﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApp2_nettv
{
    public enum internet_type
    {
        slow,
        medium,
        fast,
        ultraFast
    }

    // VM is read-only from code; RW from the GUI ==> no INotifyPropertyChanged
    public class Order
    {
        public string Bank { get; set; }
        public DateTime Start { get; set; }
        public int Months { get; set; }
        public internet_type Net { get; set; }
        // public string Name { get; set; }

        public override string ToString()
        {
            StringBuilder sb = new StringBuilder();
            sb.AppendLine(Bank);
            sb.AppendLine(Start.ToShortDateString());
            sb.AppendLine(Months.ToString());
            sb.AppendLine(Net.ToString());
            return sb.ToString();
        }

        public Order Clone()
        {
            return (Order)MemberwiseClone();
        }
    }

    // VM is read-only from code; RW from the GUI ==> no INotifyPropertyChanged
    class ViewModel
    {
        public Order OneOrder { get; private set; }

        public Array NetList
        {
            get { return Enum.GetValues(typeof(internet_type)); }
        }

        public ViewModel()
        {
            OneOrder = new Order();
            OneOrder.Bank = "123-123";
            OneOrder.Start = DateTime.Now.AddDays(-5);
            OneOrder.Months = 20;
            OneOrder.Net = internet_type.ultraFast;
        }
    }
}